## org.eclipse.ocl.expressions
Interface NavigationCallExp<C,P>

All Superinterfaces:
  ASTNode, CallExp<C>, CallingASTNode, EObject, FeatureCallExp<C>, Notifier, OCLExpression<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  AssociationClassCallExp<C,P>, AssociationClassCallExp, AssociationClassCallExp, NavigationCallExp, NavigationCallExp, PropertyCallExp<C,P>, PropertyCallExp, PropertyCallExp

All Known Implementing Classes:
  AssociationClassCallExpImpl, AssociationClassCallExpImpl, AssociationClassCallExpImpl, NavigationCallExpImpl, NavigationCallExpImpl, NavigationCallExpImpl, PropertyCallExpImpl, PropertyCallExpImpl, PropertyCallExpImpl

    public interface NavigationCallExp<C,P>

extends FeatureCallExp<C>

A representation of the model object 'Navigation Call Exp'.

The following features are supported:

- `Qualifier`
- `Navigation Source`

See Also:
  `ExpressionsPackage.getNavigationCallExp()`

Method Summary
`P` `getNavigationSource()` Returns the value of the 'Navigation Source' reference
`EList<OCLExpression<C>>` `getQualifier()` Returns the value of the 'Qualifier' containment reference list.
`void` `setNavigationSource(P value)` Sets the value of the '`Navigation Source`' reference

Methods inherited from interface org.eclipse.ocl.expressions.FeatureCallExp
`isMarkedPre, setMarkedPre`

Methods inherited from interface org.eclipse.ocl.expressions.CallExp
`getSource, setSource`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getQualifier

    EList<OCLExpression<C>> getQualifier()

  Returns the value of the 'Qualifier' containment reference list. The list contents are of type `OCLExpression`<C>.

  If the meaning of the 'Qualifier' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Qualifier' containment reference list.
  See Also:
    `ExpressionsPackage.getNavigationCallExp_Qualifier()`

### getNavigationSource

    P getNavigationSource()

  Returns the value of the 'Navigation Source' reference.

  If the meaning of the 'Navigation Source' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Navigation Source' reference.
  See Also:
    `setNavigationSource(Object)`, `ExpressionsPackage.getNavigationCallExp_NavigationSource()`

### setNavigationSource

    void setNavigationSource(P value)

  Sets the value of the '`Navigation Source`' reference.

  Parameters:
    `value` - the new value of the 'Navigation Source' reference.
  See Also:
    `getNavigationSource()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.